OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXDEIGES
IGESCAFControl

# IGESCAFControl Class Reference

Provides high-level API to translate IGES file
to and from DECAF document
.

`#include <IGESCAFControl.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Quantity_Color | DecodeColor (const Standard_Integer col)
| Converts IGES color index to CASCADE color .
static Standard_EXPORT Standard_Integer | EncodeColor (const Quantity_Color &col)
| Tries to Convert CASCADE color to IGES color index If no corresponding color defined in IGES, returns 0 .

## Member Function Documentation

static Standard_EXPORT Quantity_Color IGESCAFControl::DecodeColor | ( | const Standard_Integer | col | ) | `[static]`

static Standard_EXPORT Standard_Integer IGESCAFControl::EncodeColor | ( | const Quantity_Color & | col | ) | `[static]`

void IGESCAFControl::operator delete | ( | void * | anAddress | ) | `[inline]`

void* IGESCAFControl::operator new | ( | size_t | size | ) | `[inline]`

void* IGESCAFControl::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- IGESCAFControl.hxx